Subject: Error on ip route replace command

From: "Francesco Saverio Giudice" <[email-masked]>
Date: Fri, 22 Feb 2008 23:22:01 +0100

Hi All,

I have a problem with kernel 2.6.24.

Having a running configuration using Shorewall and restarting it I got 
follow error:
RTNETLINK answers: File exists

Tom Eastep, Shorewall creator, told me to inform you about the problem.

Here is the mail:
------------------------------------------------------------
Francesco Saverio Giudice wrote:
> Hi Tom,
>
> I get the error:
>
> ---------
> # ip route add 1.2.4.5 dev eth3
> # ip route replace 1.2.4.5 dev eth3
> RTNETLINK answers: File exists
> ---------
>
> I have to patch kernel or something else ?
>

You should report it at [email-masked] (that's where the Linux
networking developers hang out). This failure does not occur with kernel
2.6.22 and iproute2 ss070710:

gateway:~ # ip route add 1.2.4.5 dev eth0
gateway:~ # ip route replace 1.2.4.5 dev eth0
gateway:~ # ip route del 1.2.4.5

-Tom
-- 
Tom Eastep    \ Nothing is foolproof to a sufficiently talented fool
Shoreline,     \ http://shorewall.net
Washington USA  \ [email-masked]
PGP Public Key   \ https://lists.shorewall.net/teastep.pgp.key

------------------------------------------------------------

Best Regards

Francesco Saverio Giudice